import Navigation from './src/navigation';
import AlertModal from './src/components/AlertModal';
// import {SafeAreaView, useSafeAreaInsets} from 'react-native-safe-area-context';
import {Provider} from 'react-redux';
import {store, persistor} from './src/redux/store';
import React from 'react';
import {PersistGate} from 'redux-persist/integration/react';
import {copilot} from 'react-native-copilot';

const App = props => {
  return (
    <Provider store={store}>
      <PersistGate loading={null} persistor={persistor}>
          <Navigation startUserGuide={() => props.start()} />
          <AlertModal />
      </PersistGate>
    </Provider>
  );
};

export default copilot({
  labels: {
    previous: 'قبلی',
    next: 'بعدی',
    skip: 'رد کردن',
    finish: 'پایان',
  },
})(App);
