import React, { useState } from "react";
import { connect } from "react-redux";
import { View, Text, Dimensions } from "react-native";

const width = Dimensions.get("window").width;

//style
import tw from "tailwind-rn";
import fontSize from "../constants/fontSize";

function Or({ mobile }) {
  return (
    <View
      style={[tw("w-full flex flex-row justify-between items-center my-3")]}
    >
      <View
        style={{ width: "43%", height: 1, backgroundColor: "#EFEFEF" }}
      ></View>
      <Text
        style={{
          fontSize: mobile ? fontSize.base : fontSize.lg,
          color: "#C2C2C2",
          marginVertical: 10,
        }}
      >
        یا
      </Text>
      <View
        style={{ width: "43%", height: 1, backgroundColor: "#EFEFEF" }}
      ></View>
    </View>
  );
}

const mapStateToProps = (state) => ({
  mobile: state.publicApi.mobile,
});

export default connect(mapStateToProps)(Or);
