const initialState = {
  loading: false,
  error: null,
  bottomNavigation: null,
  availableForSell: [],
};

export default function config(state = initialState, action) {
  let { type, data } = action;
  switch (type) {
    case "config/bottomNavigationList":
      return {
        ...state,
        loading: false,
        bottomNavigation: data.bottomNavigationList,
        error: null,
      };
    case "config/availableForSell":
      return {
        ...state,
        loading: false,
        availableForSell: data.productTypes,
        error: null,
      };
    case "config/loading":
      return { ...state, loading: true };
    case "config/error":
      return { ...state, loading: false, error: data.message };
    default:
      return state;
  }
}
