import React from "react";
import { View, Text, Pressable } from "react-native";
import { useNavigation } from "@react-navigation/native";
import { connect } from "react-redux";

import fontSize from "../../../constants/fontSize";
import tw from "tailwind-rn";

//Color
import Colors from "../../../constants/Colors";

const Header = ({ title, route, mobile, theme, state = null }) => {
  const navigation = useNavigation();
  return (
    <View
      style={tw(
        `w-full flex flex-row-reverse justify-between ${mobile ? "" : "mb-2"}`
      )}
    >
      <Text
        style={[
          {
            color:
              theme === "light" ? Colors.theme1.green79 : Colors.theme1.white,
            fontFamily: "DemiBold",
            fontSize: fontSize.lg,
          },
        ]}
      >
        {title}
      </Text>
      {route ? (
        <Pressable
          onPress={() => navigation.navigate(route, state)}
          style={{ transform: [{ translateX: -fontSize.xl6 / 3 }], marginLeft : 4 }}
        >
          <Text
            style={{
              color:
                theme === "light" ? Colors.theme1.green79 : Colors.theme1.white,
              fontSize: fontSize.sm,
              fontFamily: "Medium",
            }}
          >
            مشاهده همه
          </Text>
        </Pressable>
      ) : null}
    </View>
  );
};

const mapStateToProps = (state) => ({
  mobile: state.publicApi.mobile,
  theme: state.publicApi.theme,
});

export default connect(mapStateToProps)(Header);
